
#include <stdio.h>

#include "dockapp.h"

#include "wmget.xpm"

dockapp_callback_rv_t pcb (void *unused)
{
    (void)unused;

    fprintf (stderr, "hi there, from periodic callback...\n");

    return dockapp_ok;
}

dockapp_callback_rv_t selcb (void *unused, const char *str)
{
    (void)unused;

    fprintf (stderr, "got sel string '%s'\n", str);

    return dockapp_ok;
}

dockapp_callback_rv_t clickcb (void *unused, int xunused, int yunused)
{
    (void)unused;
    (void)xunused;
    (void)yunused;

    fprintf (stderr, "hi there, from click callback... requesting selection\n");

    dockapp_request_selection_string (selcb, 0);

    return dockapp_ok;
}

int main (int ac, char *av[])
{
    (void)ac;

    dockapp_init_gui ("unittest", av, wmget_xpm);

    dockapp_set_periodic_callback (1000, pcb, 0);

    dockapp_add_clickregion (
            0, 0, 64, 64,
            Button1Mask | ShiftMask,
            clickcb, (void *)0);

    dockapp_run ();
    
    return 0;
}

